Package com.enonic.xp.query.suggester

## Class TermSuggestionQuery.Builder

- java.lang.Object
- - com.enonic.xp.query.suggester.SuggestionQuery.Builder<TermSuggestionQuery.Builder>
  - - com.enonic.xp.query.suggester.TermSuggestionQuery.Builder

- Enclosing class:
    TermSuggestionQuery

      public static class TermSuggestionQuery.Builder
      extends SuggestionQuery.Builder<TermSuggestionQuery.Builder>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder​(String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TermSuggestionQuery` | `build()` |
    `TermSuggestionQuery.Builder` | `maxEdits​(Integer maxEdits)` |
    `TermSuggestionQuery.Builder` | `maxInspections​(Integer maxInspections)` |
    `TermSuggestionQuery.Builder` | `maxTermFreq​(Float maxTermFreq)` |
    `TermSuggestionQuery.Builder` | `minDocFreq​(Float minDocFreq)` |
    `TermSuggestionQuery.Builder` | `minWordLength​(Integer minWordLength)` |
    `TermSuggestionQuery.Builder` | `prefixLength​(Integer prefixLength)` |
    `TermSuggestionQuery.Builder` | `sort​(TermSuggestionQuery.Sort sort)` |
    `TermSuggestionQuery.Builder` | `stringDistance​(TermSuggestionQuery.StringDistance stringDistance)` |
    `TermSuggestionQuery.Builder` | `suggestMode​(TermSuggestionQuery.SuggestMode suggestMode)` |

    - ### Methods inherited from class com.enonic.xp.query.suggester.SuggestionQuery.Builder

      `analyzer, field, name, size, text`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder​(String name)

  - ### Method Detail

    - #### sort

          public TermSuggestionQuery.Builder sort​(TermSuggestionQuery.Sort sort)

    - #### suggestMode

          public TermSuggestionQuery.Builder suggestMode​(TermSuggestionQuery.SuggestMode suggestMode)

    - #### maxEdits

          public TermSuggestionQuery.Builder maxEdits​(Integer maxEdits)

    - #### prefixLength

          public TermSuggestionQuery.Builder prefixLength​(Integer prefixLength)

    - #### minWordLength

          public TermSuggestionQuery.Builder minWordLength​(Integer minWordLength)

    - #### maxInspections

          public TermSuggestionQuery.Builder maxInspections​(Integer maxInspections)

    - #### minDocFreq

          public TermSuggestionQuery.Builder minDocFreq​(Float minDocFreq)

    - #### maxTermFreq

          public TermSuggestionQuery.Builder maxTermFreq​(Float maxTermFreq)

    - #### stringDistance

          public TermSuggestionQuery.Builder stringDistance​(TermSuggestionQuery.StringDistance stringDistance)

    - #### build

          public TermSuggestionQuery build()